/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/hardware/dynamixel-genom3/work/templates/ros/client/ros/dynamixel/msg/connectGoal.msg
 *
 */


#ifndef DYNAMIXEL_MESSAGE_CONNECTGOAL_H
#define DYNAMIXEL_MESSAGE_CONNECTGOAL_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace dynamixel
{
template <class ContainerAllocator>
struct connectGoal_
{
  typedef connectGoal_<ContainerAllocator> Type;

  connectGoal_()
    : serial()
    , baud(0)  {
    }
  connectGoal_(const ContainerAllocator& _alloc)
    : serial(_alloc)
    , baud(0)  {
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _serial_type;
  _serial_type serial;

   typedef uint32_t _baud_type;
  _baud_type baud;




  typedef boost::shared_ptr< ::dynamixel::connectGoal_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::dynamixel::connectGoal_<ContainerAllocator> const> ConstPtr;

}; // struct connectGoal_

typedef ::dynamixel::connectGoal_<std::allocator<void> > connectGoal;

typedef boost::shared_ptr< ::dynamixel::connectGoal > connectGoalPtr;
typedef boost::shared_ptr< ::dynamixel::connectGoal const> connectGoalConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::dynamixel::connectGoal_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::dynamixel::connectGoal_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace dynamixel

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'dynamixel': ['dynamixel/msg'], 'std_msgs': ['/opt/openrobots/share/std_msgs/msg'], 'actionlib_msgs': ['/opt/openrobots/share/actionlib_msgs/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::dynamixel::connectGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::dynamixel::connectGoal_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::dynamixel::connectGoal_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::dynamixel::connectGoal_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::dynamixel::connectGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::dynamixel::connectGoal_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::dynamixel::connectGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "9b8ed2d1a91d502d7c4e3ac436ef567b";
  }

  static const char* value(const ::dynamixel::connectGoal_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x9b8ed2d1a91d502dULL;
  static const uint64_t static_value2 = 0x7c4e3ac436ef567bULL;
};

template<class ContainerAllocator>
struct DataType< ::dynamixel::connectGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "dynamixel/connectGoal";
  }

  static const char* value(const ::dynamixel::connectGoal_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::dynamixel::connectGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\
# service connect\n\
string serial\n\
uint32 baud\n\
";
  }

  static const char* value(const ::dynamixel::connectGoal_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::dynamixel::connectGoal_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.serial);
      stream.next(m.baud);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct connectGoal_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::dynamixel::connectGoal_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::dynamixel::connectGoal_<ContainerAllocator>& v)
  {
    s << indent << "serial: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.serial);
    s << indent << "baud: ";
    Printer<uint32_t>::stream(s, indent + "  ", v.baud);
  }
};

} // namespace message_operations
} // namespace ros

#endif // DYNAMIXEL_MESSAGE_CONNECTGOAL_H
